petsc-3.4.2 2013-07-02

# PetscSFRegisterAll

Registers all the PetscSF communication implementations

### Synopsis

    #include "petscsf.h"
    PetscErrorCode  PetscSFRegisterAll(void)

Not Collective

### Keywords

PetscSF, register, all

### See Also

PetscSFRegisterDestroy()

Level:advanced
Location:src/vec/is/sf/interface/sfregi.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages